package net.knarcraft.serverlauncher.server;

import java.net.MalformedURLException;
import java.net.URL;

/**
 * Has a name and contains a list of valid server versions.
 */
public class ServerType {
	private final String name;
	private final String[] versions;
	private final String downloadURL;
	
	public ServerType(String name, String[] versions, String downloadURL) {
		this.name = name;
		this.versions = versions;
		this.downloadURL = downloadURL;
	}
	
	public String getName() {
		return this.name;
	}
	
	public String[] getVersions() {
		return this.versions;
	}

	public String getDownloadURL() {
		return this.downloadURL;
	}
}